summaryrefslogtreecommitdiff
path: root/x11-libs/vte/vte-0.40.2.ebuild
diff options
context:
space:
mode:
Diffstat (limited to 'x11-libs/vte/vte-0.40.2.ebuild')
-rw-r--r--x11-libs/vte/vte-0.40.2.ebuild82
1 files changed, 82 insertions, 0 deletions
diff --git a/x11-libs/vte/vte-0.40.2.ebuild b/x11-libs/vte/vte-0.40.2.ebuild
new file mode 100644
index 00000000..518b2142
--- /dev/null
+++ b/x11-libs/vte/vte-0.40.2.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+VALA_USE_DEPEND="vapigen"
+
+inherit eutils gnome2 vala
+
+DESCRIPTION="Library providing a virtual terminal emulator widget"
+HOMEPAGE="https://wiki.gnome.org/action/show/Apps/Terminal/VTE"
+
+LICENSE="LGPL-2+"
+SLOT="2.91"
+IUSE="+crypt debug glade +introspection termite-patch vala"
+KEYWORDS="~amd64 ~x86"
+
+PDEPEND=">=x11-libs/gnome-pty-helper-${PV}"
+RDEPEND="
+ >=dev-libs/glib-2.40:2
+ >=x11-libs/gtk+-3.8:3[introspection?]
+ >=x11-libs/pango-1.22.0
+
+ sys-libs/ncurses
+ sys-libs/zlib
+ x11-libs/libX11
+ x11-libs/libXft
+
+ glade? ( >=dev-util/glade-3.9:3.10 )
+ introspection? ( >=dev-libs/gobject-introspection-0.9.0 )
+"
+DEPEND="${RDEPEND}
+ $(vala_depend)
+ >=dev-util/gtk-doc-am-1.13
+ >=dev-util/intltool-0.35
+ sys-devel/gettext
+ virtual/pkgconfig
+
+ crypt? ( >=net-libs/gnutls-3.2.0 )
+"
+RDEPEND="${RDEPEND}
+ !x11-libs/vte:2.90[glade]
+"
+
+src_prepare() {
+ use termite-patch && epatch "${FILESDIR}"/${PN}-0.32.2-expose_select_text.patch
+
+ vala_src_prepare
+ gnome2_src_prepare
+}
+
+src_configure() {
+ local myconf=""
+
+ if [[ ${CHOST} == *-interix* ]]; then
+ myconf="${myconf} --disable-Bsymbolic"
+
+ # interix stropts.h is empty...
+ export ac_cv_header_stropts_h=no
+ fi
+
+ # Python bindings are via gobject-introspection
+ # Ex: from gi.repository import Vte
+ # Do not disable gnome-pty-helper, bug #401389
+ gnome2_src_configure \
+ --disable-deprecation \
+ --disable-test-application \
+ --disable-static \
+ $(use_enable debug) \
+ $(use_enable glade glade-catalogue) \
+ $(use_enable crypt gnutls) \
+ $(use_enable introspection) \
+ $(use_enable vala) \
+ ${myconf}
+}
+
+src_install() {
+ DOCS="AUTHORS ChangeLog HACKING NEWS README"
+ gnome2_src_install
+ mv "${D}"/etc/profile.d/vte{,-${SLOT}}.sh || die
+}